#ifndef XFXTRAILVERTEX_H
#define XFXTRAILVERTEX_H

#include "xasset.h"

#include <QVector2D>

class XFxTrailVertex : public XAsset
{
public:
    explicit XFxTrailVertex();
    ~XFxTrailVertex();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    QVector2D mPos;
    QVector2D mNormal;
    float mTexCoord;
};

#endif // XFXTRAILVERTEX_H
